<?php

namespace Solwin\Verticalmenu\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper
{
    
    /**
     * @param  \Magento\Catalog\Block\Product\Context $context
     * @param  array $data
     */
    public function __construct(
        \Magento\Framework\App\Helper\Context $context
    ) {
        parent::__construct($context);
    }

    /* get Extension enable/disable */

    public function getEnableModule() {
        return $this->scopeConfig->getValue('verticalmenu_settings/generalsettings/active', \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
    }
    
    /* get Extension Title */

    public function getTitle() {
        return $this->scopeConfig->getValue('verticalmenu_settings/generalsettings/vmenu_title', \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
    }
    
}
